Skip to main content
PATCH
Update agent workflow

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string<uuid>
required

Body

application/json
name
string

Workflow name

Required string length: 1 - 255
description
string

Workflow description

active
boolean
default:true

Whether the workflow is active

startHour
integer
default:9

Start hour (0-23) for backward compatibility

Required range: 0 <= x <= 23
endHour
integer
default:17

End hour (0-23) for backward compatibility

Required range: 0 <= x <= 23
timezone
string
default:America/Los_Angeles

Timezone for workflow execution and schedule interpretation

workflowSchedule
object

Workflow schedule - operates in workflow timezone defined above

Example:
tcpaSchedule
object

TCPA schedule - applies to borrower local timezone

Example:
definition
object

Workflow definition

maxDialsPerTick
integer | null

Per-workflow max dials per scheduler tick. null = uncapped (uses shared org budget).

Required range: x >= 1

Response

Agent workflow updated successfully

id
string<uuid>
required

Workflow ID

name
string
required

Workflow name

description
string | null
required

Workflow description

organizationId
string<uuid>
required

Organization ID

userId
string<uuid>
required

User ID who created the workflow

active
boolean
required

Whether the workflow is active

startHour
integer
required

Start hour (0-23) for backward compatibility

endHour
integer
required

End hour (0-23) for backward compatibility

timezone
string
required

Timezone for workflow execution and schedule interpretation

workflowSchedule
object | null
required

Workflow schedule - operates in workflow timezone

Example:
tcpaSchedule
object | null
required

TCPA schedule - applies to borrower local timezone

Example:
definition
object
required

Workflow definition

maxDialsPerTick
integer | null
required

Per-workflow max dials per scheduler tick. null = uncapped (uses shared org budget).

Required range: x >= 1
createdAt
string
required

Creation timestamp

updatedAt
string
required

Last update timestamp